# Version 12 Release Notes

### Accounting
1. [Accounting Dimensions](https://xhiveerp.com/docs/user/manual/en/accounts/accounting-dimensions)
1. [Chart of Accounts Importer](https://xhiveerp.com/docs/user/manual/en/setting-up/chart-of-accounts-importer)
1. [Invoice Discounting](https://xhiveerp.com/docs/user/manual/en/accounts/invoice_discounting)
1. [Tally Migrator](https://github.com/xhiveframework/xhiveerp/pull/17405)

### Stock
1. [Serialized & Batched Item Reconciliation](https://xhiveerp.com/docs/user/manual/en/setting-up/stock-reconciliation#12-for-serialized-items)
1. [Auto Fetch Serialized Items](https://xhiveerp.com/version-12/release-notes/features#new-upload-dialog)
1. [Item Tax Templates](https://xhiveerp.com/docs/user/manual/en/accounts/item-tax-template)

### HR
1. [Auto Attendance](https://xhiveerp.com/docs/user/manual/en/human-resources/auto-attendance)
1. [Employee Skill Map](https://xhiveerp.com/docs/user/manual/en/human-resources/employee_skill_map)
1. [Encrypted Salary Slips](https://xhiveerp.com/docs/user/manual/en/human-resources/hr-settings#24-encrypt-salary-slips-in-emails)
1. [Leave Ledger](https://xhiveerp.com/docs/user/manual/en/human-resources/leave-ledger-entry)
1. [Staffing Plan](https://xhiveerp.com/docs/user/manual/en/human-resources/staffing-plan)

### CRM
1. [Promotional Scheme](https://xhiveerp.com/docs/user/manual/en/accounts/promotional-schemes)
1. [SLA](https://xhiveerp.com/docs/user/manual/en/support/service-level-agreement)
1. [Exotel Call Integration](https://xhiveerp.com/docs/user/manual/en/xhiveerp_integration/exotel_integration)
1. [Email Campaign](https://xhiveerp.com/docs/user/manual/en/CRM/email-campaign)

### Domain Specific Features
1. [Learning Management System](https://xhiveerp.com/docs/user/manual/en/education/setting-up-lms)
1. [Quality Management System](https://xhiveerp.com/docs/user/manual/en/quality-management)
1. [Production Planning Enhancements](https://xhiveerp.com/docs/user/manual/en/manufacturing/production-plan/planning-for-material-requests)
1. [Project Template](https://xhiveerp.com/docs/user/manual/en/projects/project-template)

### New Reports
1. [Bank Remittance](https://xhiveerp.com/docs/user/manual/en/human-resources/human-resources-reports#bank-remittance-report)
1. [BOM Explorer](https://xhiveerp.com/docs/user/manual/en/stock/articles/bom_explorer)
1. [Billing Summary Report](https://xhiveerp.com/docs/user/manual/en/projects/reports/billing_summary_reports)
1. [Procurement Tracker Report](docs/user/manual/en/buying/articles/procurement-tracker-report)
1. [Loan Repayment](https://xhiveerp.com/docs/user/manual/en/human-resources/human-resources-reports#loan-repayment-report)
1. [GSTR-3B](https://xhiveerp.com/docs/user/manual/en/regional/india/gst-3b-report)
1. [Sales Partner](https://xhiveerp.com/docs/user/manual/en/selling/sales-partner#sales-partner-reports)
1. [Sales Partner Target Variance based on Item Group](https://xhiveerp.com/docs/user/manual/en/selling/sales-partner#sales-partner-target-variance-based-on-item-group)
