## Logo and Trademark Policy

The brand name XhiveERP and the logo are trademarks of SolutionERP LLC

### Introduction

SolutionERP LLC (Xhiveframework) owns and oversees the trademarks for the XhiveERP name and logos. We have developed this trademark usage policy with the following goals in mind:

- We’d like to make it easy for anyone to use the XhiveERP name or logo for community-oriented efforts that help spread and improve XhiveERP.
- We’d like to make it clear how XhiveERP-related businesses and projects can (and cannot) use the XhiveERP name and logo.
- We’d like to make it hard for anyone to use the XhiveERP name and logo to unfairly profit from, trick or confuse people who are looking for official XhiveERP resources.

### Xhiveframework Trademark Usage Policy

Permission from Xhiveframework is required to use the XhiveERP name or logo as part of any project, product, service, domain or company name.

We will grant permission to use the XhiveERP name and logo for projects that meet the following criteria:

- The primary purpose of your project is to promote the spread and improvement of the XhiveERP software.
- Your project is non-commercial in nature (it can make money to cover its costs or contribute to non-profit entities, but it cannot be run as a for-profit project or business).
Your project neither promotes nor is associated with entities that currently fail to comply with the GPL license under which XhiveERP is distributed.
- If your project meets these criteria, you will be permitted to use the XhiveERP name and logo to promote your project in any way you see fit with one exception: Please do not use XhiveERP as part of a domain name.

Use of the XhiveERP name and logo is additionally allowed in the following situations:

All other XhiveERP-related businesses or projects can use the XhiveERP name and logo to refer to and explain their services, but they cannot use them as part of a product, project, service, domain, or company name and they cannot use them in any way that suggests an affiliation with or endorsement by XhiveERP or SolutionERP LLC or the XhiveERP open source project. For example, a consulting company can describe its business as “123 Web Services, offering XhiveERP consulting for small businesses,” but cannot call its business “The XhiveERP Consulting Company.”

Similarly, it’s OK to use the XhiveERP logo as part of a page that describes your products or services, but it is not OK to use it as part of your company or product logo or branding itself. Under no circumstances is it permitted to use XhiveERP as part of a top-level domain name.

We do not allow the use of the trademark in advertising, including AdSense/AdWords.

Please note that it is not the goal of this policy to limit commercial activity around XhiveERP. We encourage XhiveERP-based businesses, and we would love to see hundreds of them.

When in doubt about your use of the XhiveERP name or logo, please contact SolutionERP LLC for clarification.

(inspired by WordPress)
